Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.kex
Class KeyExchangeState

    java.lang.Object
      com.sshtools.j2ssh.transport.kex.KeyExchangeState

public class KeyExchangeState
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static int` | `COMPLETE` DOCUMENT ME!
`static int` | `FAILED` DOCUMENT ME!
`static int` | `IN_PROGRESS` DOCUMENT ME!

Constructor Summary
`KeyExchangeState()` Creates a new KeyExchangeState object.

Method Summary
`byte[]` | `getExchangeHash()` DOCUMENT ME!
`java.lang.String` | `getFailureReason()` DOCUMENT ME!
`byte[]` | `getHostKey()` DOCUMENT ME!
`java.math.BigInteger` | `getSecret()` DOCUMENT ME!
`byte[]` | `getSignature()` DOCUMENT ME!
`int` | `getState()` DOCUMENT ME!
`void` | `setComplete(byte[] exchangeHash, byte[] hostKey, byte[] signature, java.math.BigInteger secret)` DOCUMENT ME!
`void` | `setFailed(java.lang.String reason)` DOCUMENT ME!
`void` | `waitForCompletion()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IN_PROGRESS

    public static final int IN_PROGRESS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### COMPLETE

    public static final int COMPLETE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### FAILED

    public static final int FAILED

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### KeyExchangeState

    public KeyExchangeState()

  Creates a new KeyExchangeState object.

Method Detail

### setComplete

    public final void setComplete(byte[] exchangeHash,
                                  byte[] hostKey,
                                  byte[] signature,
                                  java.math.BigInteger secret)

  DOCUMENT ME!

  Parameters:
    `exchangeHash` - DOCUMENT ME!
    `hostKey` - DOCUMENT ME!
    `signature` - DOCUMENT ME!
    `secret` - DOCUMENT ME!

### getExchangeHash

    public byte[] getExchangeHash()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setFailed

    public final void setFailed(java.lang.String reason)

  DOCUMENT ME!

  Parameters:
    `reason` - DOCUMENT ME!

### getHostKey

    public byte[] getHostKey()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSecret

    public java.math.BigInteger getSecret()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSignature

    public byte[] getSignature()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getState

    public int getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### waitForCompletion

    public final void waitForCompletion()

  DOCUMENT ME!

### getFailureReason

    public java.lang.String getFailureReason()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD